<?php
/**
* FILE_NAME : sysinfo.php
*
* @copyright Copyright (c) www.shuangyulin.com
* @author 双鱼林设计
* @package 系统信息显示
* @subpackage
* @version QQ:287307421 或 254540457
*/

define('IN_WEB', TRUE);

require_once( str_replace('\\', '/', dirname(__FILE__)). '/include/global.php');


/* 系统信息 */
$serverinfo = PHP_OS.' / PHP v'.PHP_VERSION;
$serverinfo .= @ini_get('safe_mode') ? ' Safe Mode' : NULL;
$serversoft = $_SERVER['SERVER_SOFTWARE'];
$dbversion = $DB->version();

if(@ini_get('file_uploads')) {
	$fileupload = ini_get('upload_max_filesize');
} else {
	$fileupload = '<font color="red">'.$lang['no'].'</font>';
}

/* 显示模板 */
$smarty->assign("css_root",$css_root);

$smarty->assign("serverinfo",$serverinfo);
$smarty->assign("serversoft",$serversoft);
$smarty->assign("dbversion",$dbversion);
$smarty->assign("fileupload",$fileupload);

$smarty->display("sysinfo.html");
?>